Page MenuHomePhabricator

Give maplink maps the same internationalization features as mapframe maps
Closed, ResolvedPublic

Description

Mapframe maps are internationalized, and have two new parameters: lang="xx" and lang="local". The maps users get when they click on maplink links should have these same behaviors and capabilities. E.g., one should be able to put the following on a page:

<maplink zoom=9 latitude=37.8013 longitude=-122.3988 lang="ja"></maplink>

And the map that pops up when users click on the link created should be in Japanese.

Event Timeline

jmatazzoni triaged this task as High priority.Apr 24 2018, 9:55 PM
jmatazzoni created this task.
jmatazzoni updated the task description. (Show Details)

Change 428861 had a related patch set uploaded (by Mooeypoo; owner: Mooeypoo):
[mediawiki/extensions/Kartographer@master] [wip] Add lang= attribute to maplink

https://gerrit.wikimedia.org/r/428861

Change 428861 merged by jenkins-bot:
[mediawiki/extensions/Kartographer@master] Add lang= parameter to maplink

https://gerrit.wikimedia.org/r/428861

Etonkovidova added a subscriber: Etonkovidova.EditedMay 2 2018, 11:20 PM

Checked in testwiki - lang attribute works as expected - see https://test.wikipedia.org/wiki/User:Etonkovidova/sandbox with sample maplinks (with lang attributes).

Waiting on resolving T193583: [betalabs] mapframe without lang attribute not displayed in wiki lang.

Etonkovidova closed this task as Resolved.May 7 2018, 8:30 PM

Using the sample (see below), the map will be displayed in Russian on ruwiki betalabs (e.g. https://ru.wikipedia.beta.wmflabs.org/wiki/Mavetuna) and in Hebrew on hewiki betalabs (https://he.wikipedia.beta.wmflabs.org/wiki/Mavetuna#Test_for_no_lang_May_07)

<mapframe  zoom=9 width=500 height=300 latitude=31.925 longitude=34.62 />

QA Recommendation: Resolve